diff -Nurd -x'*~' epiphany-2.28.2.orig/configure epiphany-2.28.2/configure
--- epiphany-2.28.2.orig/configure	2009-12-16 06:00:35.000000000 -0500
+++ epiphany-2.28.2/configure	2010-03-20 11:56:51.000000000 -0400
@@ -14670,9 +14670,6 @@
 		  gio-unix-2.0 >= \$GLIB_REQUIRED
 		  gtk+-2.0 >= \$GTK_REQUIRED
 		  gtk+-unix-print-2.0 >= \$GTK_REQUIRED
-		  ice
-		  x11
-		  sm
 		  libxml-2.0 >= \$LIBXML_REQUIRED
 		  libxslt >= \$LIBXSLT_REQUIRED
 		  gconf-2.0
@@ -14689,9 +14686,6 @@
 		  gio-unix-2.0 >= $GLIB_REQUIRED
 		  gtk+-2.0 >= $GTK_REQUIRED
 		  gtk+-unix-print-2.0 >= $GTK_REQUIRED
-		  ice
-		  x11
-		  sm
 		  libxml-2.0 >= $LIBXML_REQUIRED
 		  libxslt >= $LIBXSLT_REQUIRED
 		  gconf-2.0
@@ -14711,9 +14705,6 @@
 		  gio-unix-2.0 >= $GLIB_REQUIRED
 		  gtk+-2.0 >= $GTK_REQUIRED
 		  gtk+-unix-print-2.0 >= $GTK_REQUIRED
-		  ice
-		  x11
-		  sm
 		  libxml-2.0 >= $LIBXML_REQUIRED
 		  libxslt >= $LIBXSLT_REQUIRED
 		  gconf-2.0
@@ -14740,9 +14731,6 @@
 		  gio-unix-2.0 >= \$GLIB_REQUIRED
 		  gtk+-2.0 >= \$GTK_REQUIRED
 		  gtk+-unix-print-2.0 >= \$GTK_REQUIRED
-		  ice
-		  x11
-		  sm
 		  libxml-2.0 >= \$LIBXML_REQUIRED
 		  libxslt >= \$LIBXSLT_REQUIRED
 		  gconf-2.0
@@ -14759,9 +14747,6 @@
 		  gio-unix-2.0 >= $GLIB_REQUIRED
 		  gtk+-2.0 >= $GTK_REQUIRED
 		  gtk+-unix-print-2.0 >= $GTK_REQUIRED
-		  ice
-		  x11
-		  sm
 		  libxml-2.0 >= $LIBXML_REQUIRED
 		  libxslt >= $LIBXSLT_REQUIRED
 		  gconf-2.0
@@ -14781,9 +14766,6 @@
 		  gio-unix-2.0 >= $GLIB_REQUIRED
 		  gtk+-2.0 >= $GTK_REQUIRED
 		  gtk+-unix-print-2.0 >= $GTK_REQUIRED
-		  ice
-		  x11
-		  sm
 		  libxml-2.0 >= $LIBXML_REQUIRED
 		  libxslt >= $LIBXSLT_REQUIRED
 		  gconf-2.0
@@ -14817,9 +14799,6 @@
 		  gio-unix-2.0 >= $GLIB_REQUIRED
 		  gtk+-2.0 >= $GTK_REQUIRED
 		  gtk+-unix-print-2.0 >= $GTK_REQUIRED
-		  ice
-		  x11
-		  sm
 		  libxml-2.0 >= $LIBXML_REQUIRED
 		  libxslt >= $LIBXSLT_REQUIRED
 		  gconf-2.0
@@ -14837,9 +14816,6 @@
 		  gio-unix-2.0 >= $GLIB_REQUIRED
 		  gtk+-2.0 >= $GTK_REQUIRED
 		  gtk+-unix-print-2.0 >= $GTK_REQUIRED
-		  ice
-		  x11
-		  sm
 		  libxml-2.0 >= $LIBXML_REQUIRED
 		  libxslt >= $LIBXSLT_REQUIRED
 		  gconf-2.0
@@ -14860,9 +14836,6 @@
 		  gio-unix-2.0 >= $GLIB_REQUIRED
 		  gtk+-2.0 >= $GTK_REQUIRED
 		  gtk+-unix-print-2.0 >= $GTK_REQUIRED
-		  ice
-		  x11
-		  sm
 		  libxml-2.0 >= $LIBXML_REQUIRED
 		  libxslt >= $LIBXSLT_REQUIRED
 		  gconf-2.0
@@ -14889,9 +14862,6 @@
 		  gio-unix-2.0 >= $GLIB_REQUIRED
 		  gtk+-2.0 >= $GTK_REQUIRED
 		  gtk+-unix-print-2.0 >= $GTK_REQUIRED
-		  ice
-		  x11
-		  sm
 		  libxml-2.0 >= $LIBXML_REQUIRED
 		  libxslt >= $LIBXSLT_REQUIRED
 		  gconf-2.0
@@ -14944,6 +14914,9 @@
 	:
 fi
 
+DEPENDENCIES_CFLAGS="$DEPENDENCIES_CFLAGS $X11ISH_CFLAGS"
+DEPENDENCIES_LIBS="$DEPENDENCIES_LIBS $X11ISH_LIBS"
+
 # ****
 # DBUS
 # ****
diff -Nurd -x'*~' epiphany-2.28.2.orig/embed/ephy-embed-single.c epiphany-2.28.2/embed/ephy-embed-single.c
--- epiphany-2.28.2.orig/embed/ephy-embed-single.c	2009-12-16 05:26:26.000000000 -0500
+++ epiphany-2.28.2/embed/ephy-embed-single.c	2010-03-20 13:40:21.000000000 -0400
@@ -21,7 +21,6 @@
 #include "config.h"
 
 #define LIBSOUP_I_HAVE_READ_BUG_594377_AND_KNOW_SOUP_PASSWORD_MANAGER_MIGHT_GO_AWAY
-#define NSPLUGINWRAPPER_SETUP "/usr/bin/mozilla-plugin-config"
 
 #include "ephy-embed-single.h"
 #include "ephy-embed-prefs.h"
@@ -334,10 +333,6 @@
   SoupCookieJar *jar;
   char *filename;
 
-  /* Initialise nspluginwrapper's plugins if available */
-  if (g_file_test (NSPLUGINWRAPPER_SETUP, G_FILE_TEST_EXISTS) != FALSE)
-    g_spawn_command_line_sync (NSPLUGINWRAPPER_SETUP, NULL, NULL, NULL, NULL);
-
   ephy_embed_prefs_init ();
 
   session = webkit_get_default_session ();
diff -Nurd -x'*~' epiphany-2.28.2.orig/lib/Makefile.in epiphany-2.28.2/lib/Makefile.in
--- epiphany-2.28.2.orig/lib/Makefile.in	2009-12-16 06:00:33.000000000 -0500
+++ epiphany-2.28.2/lib/Makefile.in	2010-03-20 12:32:27.000000000 -0400
@@ -451,7 +451,7 @@
 
 libephymisc_la_CFLAGS = $(DEPENDENCIES_CFLAGS) $(AM_CFLAGS) \
 	$(am__append_2)
-libephymisc_la_LIBADD = -lm $(am__append_3)
+libephymisc_la_LIBADD = -lm $(am__append_3) $(INTLLIBS)
 BUILT_SOURCES = \
 	ephy-lib-type-builtins.c	\
 	ephy-lib-type-builtins.h	\
diff -Nurd -x'*~' epiphany-2.28.2.orig/lib/widgets/Makefile.in epiphany-2.28.2/lib/widgets/Makefile.in
--- epiphany-2.28.2.orig/lib/widgets/Makefile.in	2009-12-16 06:00:33.000000000 -0500
+++ epiphany-2.28.2/lib/widgets/Makefile.in	2010-03-20 12:50:45.000000000 -0400
@@ -50,7 +50,7 @@
 CONFIG_CLEAN_FILES =
 CONFIG_CLEAN_VPATH_FILES =
 LTLIBRARIES = $(noinst_LTLIBRARIES)
-libephywidgets_la_LIBADD =
+libephywidgets_la_LIBADD = $(INTLLIBS)
 am_libephywidgets_la_OBJECTS =  \
 	libephywidgets_la-ephy-location-entry.lo \
 	libephywidgets_la-ephy-node-view.lo \