diff -Nurd -x'*~' evolution-2.28.3.1.orig/a11y/addressbook/Makefile.am evolution-2.28.3.1/a11y/addressbook/Makefile.am
--- evolution-2.28.3.1.orig/a11y/addressbook/Makefile.am	2010-04-20 02:30:58.000000000 -0400
+++ evolution-2.28.3.1/a11y/addressbook/Makefile.am	2010-04-21 05:13:53.000000000 -0400
@@ -30,6 +30,6 @@
 
 libevolution_addressbook_a11y_la_LIBADD =	\
 	$(WIN32_BOOTSTRAP_LIBS)			\
-	$(EVOLUTION_ADDRESSBOOK_LIBS)
+	$(EVOLUTION_ADDRESSBOOK_LIBS) $(INTLLIBS)
 
 -include $(top_srcdir)/git.mk
diff -Nurd -x'*~' evolution-2.28.3.1.orig/addressbook/tools/Makefile.am evolution-2.28.3.1/addressbook/tools/Makefile.am
--- evolution-2.28.3.1.orig/addressbook/tools/Makefile.am	2010-04-20 02:30:59.000000000 -0400
+++ evolution-2.28.3.1/addressbook/tools/Makefile.am	2010-04-20 16:56:27.000000000 -0400
@@ -25,7 +25,7 @@
 	evolution-addressbook-export.h
 
 evolution_addressbook_export_LDADD =				\
-	$(EVOLUTION_ADDRESSBOOK_LIBS)
+	$(EVOLUTION_ADDRESSBOOK_LIBS) $(INTLLIBS)
 
 if OS_WIN32
 evolution_addressbook_export_LDFLAGS = -mwindows
diff -Nurd -x'*~' evolution-2.28.3.1.orig/calendar/conduits/common/Makefile.am evolution-2.28.3.1/calendar/conduits/common/Makefile.am
--- evolution-2.28.3.1.orig/calendar/conduits/common/Makefile.am	2010-04-20 02:30:59.000000000 -0400
+++ evolution-2.28.3.1/calendar/conduits/common/Makefile.am	2010-04-20 02:50:16.000000000 -0400
@@ -5,17 +5,15 @@
 	$(EVOLUTION_CALENDAR_CONDUIT_CFLAGS)
 
 # Calendar Conduit library
-privconduit_LTLIBRARIES = libecalendar_common_conduit.la
+noinst_LTLIBRARIES = libecalendar_common_conduit.la
 
 ecalendar_common_conduitincludedir = $(privincludedir)/calendar/conduits/common
 
-ecalendar_common_conduitinclude_HEADERS =		\
-	libecalendar-common-conduit.h
 
 libecalendar_common_conduit_la_SOURCES = 	\
+	libecalendar-common-conduit.h		\
 	libecalendar-common-conduit.c
 
-libecalendar_common_conduit_la_LDFLAGS = -module -avoid-version $(NO_UNDEFINED)
 libecalendar_common_conduit_la_LIBADD = 				\
 	$(top_builddir)/e-util/libeutil.la				\
 	$(top_builddir)/e-util/libeconduit.la		 		\
diff -Nurd -x'*~' evolution-2.28.3.1.orig/configure.ac evolution-2.28.3.1/configure.ac
--- evolution-2.28.3.1.orig/configure.ac	2010-04-20 02:31:00.000000000 -0400
+++ evolution-2.28.3.1/configure.ac	2010-04-21 01:55:05.000000000 -0400
@@ -56,7 +56,7 @@
 m4_define([libglade_minimum_version], [2.0.0])		dnl XXX Just a Guess
 m4_define([libgnomecanvas_minimum_version], [2.0.0])	dnl XXX Just a Guess
 m4_define([libgnomeui_minimum_version], [2.0.0])	dnl XXX Just a Guess
-m4_define([libxml_minimum_version], [2.7.3])
+m4_define([libxml_minimum_version], [2.6.30])
 m4_define([shared_mime_info_minimum_version], [0.22])
 m4_define([libpst_minimum_version], [0.6.41])
 
@@ -64,7 +64,7 @@
 m4_define([dbus_minimum_version], [0.74])
 m4_define([nm_minimum_version],[0.7])
 m4_define([hal_minimum_version], [0.5.4])
-m4_define([libnotify_minimum_version], [0.3.0])
+m4_define([libnotify_minimum_version], [99999.FORCE.NONDETECT])
 m4_define([gnome_pilot_minimum_version], [2.0.15])
 m4_define([gweather_minimum_version], [2.25.3])
 
@@ -165,7 +165,6 @@
 AM_DISABLE_STATIC
 AC_LIBTOOL_WIN32_DLL
 AM_PROG_LIBTOOL
-DOLT
 
 PKG_PROG_PKG_CONFIG
 
@@ -812,7 +811,8 @@
 				msg_krb5="yes (Sun)"
 			fi
 		fi
-		KRB5_LIBS="-L$with_krb5_libs $ac_cv_lib_kerberos5"
+		KRB5_CFLAGS=""
+		KRB5_LIBS="$ac_cv_lib_kerberos5"
 	fi
 else
 	AC_MSG_CHECKING([for Kerberos 5])
@@ -869,15 +869,15 @@
 
 		if test -z "$with_krb4_includes"; then
 			if test -f "$with_krb4/include/krb.h" -o -f "$with_krb4/include/port-sockets.h"; then
-				KRB4_CFLAGS="-I$with_krb4/include"
+				KRB4_CFLAGS=""
 			fi
 			if test -d "$with_krb4/include/kerberosIV"; then
 				KRB4_CFLAGS="$KRB4_CFLAGS -I$with_krb4/include/kerberosIV"
 			fi
 		else
-			KRB4_CFLAGS="-I$with_krb4_includes"
+			KRB4_CFLAGS=""
 		fi
-		KRB4_LIBS="-L$with_krb4_libs $ac_cv_lib_kerberos4"
+		KRB4_LIBS="$ac_cv_lib_kerberos4"
 
 		CFLAGS_save="$CFLAGS"
 		CFLAGS="$CFLAGS $KRB4_CFLAGS"
@@ -1701,17 +1701,17 @@
 	[enable_plugins="$enableval"],[enable_plugins=all])
 
 dnl Add any new plugins here
-plugins_base_always="calendar-file calendar-http $CALENDAR_WEATHER itip-formatter plugin-manager default-source addressbook-file startup-wizard mark-all-read groupwise-features groupwise-account-setup mail-account-disable publish-calendar caldav imap-features google-account-setup webdav-account-setup"
+plugins_base_always="calendar-file calendar-http $CALENDAR_WEATHER plugin-manager default-source addressbook-file caldav imap-features webdav-account-setup"
 
 plugins_base="$plugins_base_always $SA_JUNK_PLUGIN $BF_JUNK_PLUGIN $EXCHANGE_PLUGIN $MONO_PLUGIN "
 all_plugins_base="$plugins_base_always sa-junk-plugin bogo-junk-plugin exchange-operations mono"
 
-plugins_standard_always="bbdb subject-thread save-calendar select-one-source copy-tool mail-to-task audio-inline mailing-list-actions default-mailer prefer-plain mail-notification attachment-reminder backup-restore email-custom-header templates pst-import vcard-inline"
+plugins_standard_always="bbdb subject-thread save-calendar select-one-source copy-tool mail-notification"
 
 plugins_standard="$plugins_standard_always"
 all_plugins_standard="$plugins_standard"
 
-plugins_experimental_always="face folder-unsubscribe external-editor hula-account-setup"
+plugins_experimental_always="external-editor hula-account-setup"
 plugins_experimental="$plugins_experimental_always $IPOD_SYNC $TNEF_ATTACHMENTS $PYTHON_PLUGIN"
 all_plugins_experimental="$plugins_experimental_always ipod-sync tnef-attachments"
 
diff -Nurd -x'*~' evolution-2.28.3.1.orig/e-util/e-plugin-ui.c evolution-2.28.3.1/e-util/e-plugin-ui.c
--- evolution-2.28.3.1.orig/e-util/e-plugin-ui.c	2010-04-20 02:30:58.000000000 -0400
+++ evolution-2.28.3.1/e-util/e-plugin-ui.c	2010-04-20 12:18:15.000000000 -0400
@@ -19,6 +19,59 @@
 
 #include <string.h>
 
+/* imported functions from libxml2-2.7.6/tree.c */
+xmlNodePtr
+xmlFirstElementChild(xmlNodePtr parent) {
+    xmlNodePtr cur = NULL;
+
+    if (parent == NULL)
+        return(NULL);
+    switch (parent->type) {
+        case XML_ELEMENT_NODE:
+        case XML_ENTITY_NODE:
+        case XML_DOCUMENT_NODE:
+        case XML_HTML_DOCUMENT_NODE:
+            cur = parent->children;
+            break;
+        default:
+            return(NULL);
+    }
+    while (cur != NULL) {
+        if (cur->type == XML_ELEMENT_NODE)
+            return(cur);
+        cur = cur->next;
+    }
+    return(NULL);
+}
+xmlNodePtr
+xmlNextElementSibling(xmlNodePtr node) {
+    if (node == NULL)
+        return(NULL);
+    switch (node->type) {
+        case XML_ELEMENT_NODE:
+        case XML_TEXT_NODE:
+        case XML_CDATA_SECTION_NODE:
+        case XML_ENTITY_REF_NODE:
+        case XML_ENTITY_NODE:
+        case XML_PI_NODE:
+        case XML_COMMENT_NODE:
+        case XML_DTD_NODE:
+        case XML_XINCLUDE_START:
+        case XML_XINCLUDE_END:
+            node = node->next;
+            break;
+        default:
+            return(NULL);
+    }
+    while (node != NULL) {
+        if (node->type == XML_ELEMENT_NODE)
+            return(node);
+        node = node->next;
+    }
+    return(NULL);
+}
+/* end of import from libxml2 */
+
 #define E_PLUGIN_UI_HOOK_GET_PRIVATE(obj) \
 	(G_TYPE_INSTANCE_GET_PRIVATE \
 	((obj), E_TYPE_PLUGIN_UI_HOOK, EPluginUIHookPrivate))
diff -Nurd -x'*~' evolution-2.28.3.1.orig/evolution-plugin.pc.in evolution-2.28.3.1/evolution-plugin.pc.in
--- evolution-2.28.3.1.orig/evolution-plugin.pc.in	2010-04-20 02:31:00.000000000 -0400
+++ evolution-2.28.3.1/evolution-plugin.pc.in	2010-04-20 02:35:37.000000000 -0400
@@ -16,5 +16,5 @@
 Description: libraries needed for Evolution plugin development
 Version: @VERSION@
 Requires: libgnome-2.0 libgnomeui-2.0 libbonoboui-2.0 >= @BONOBOUI_REQUIRED@ camel-provider-1.2 libxml-2.0
-Libs: -L${privlibdir} -leutil -Wl,-R${privlibdir}
+Libs: -L${privlibdir} -leutil
 Cflags: -I${privincludedir}
diff -Nurd -x'*~' evolution-2.28.3.1.orig/evolution-shell.pc.in evolution-2.28.3.1/evolution-shell.pc.in
--- evolution-2.28.3.1.orig/evolution-shell.pc.in	2010-04-20 02:31:00.000000000 -0400
+++ evolution-2.28.3.1/evolution-shell.pc.in	2010-04-20 02:35:36.000000000 -0400
@@ -22,5 +22,5 @@
 Description: libraries needed for Evolution shell components
 Version: @VERSION@
 Requires: libgnome-2.0 libgnomeui-2.0 libbonoboui-2.0 >= @BONOBOUI_REQUIRED@
-Libs: -L${privlibdir} -leshell -Wl,-R${privlibdir}
+Libs: -L${privlibdir} -leshell
 Cflags: -I${privincludedir}
diff -Nurd -x'*~' evolution-2.28.3.1.orig/mail/em-folder-browser.c evolution-2.28.3.1/mail/em-folder-browser.c
--- evolution-2.28.3.1.orig/mail/em-folder-browser.c	2010-04-20 02:31:00.000000000 -0400
+++ evolution-2.28.3.1/mail/em-folder-browser.c	2010-04-20 02:46:33.000000000 -0400
@@ -100,7 +100,7 @@
 #include <gtkhtml/gtkhtml.h>
 
 extern CamelSession *session;
-CamelStore *vfolder_store; /* the 1 static vfolder store */
+extern CamelStore *vfolder_store; /* the static vfolder store comes from mail-vfolder.c */
 
 #define d(x)
 
diff -Nurd -x'*~' evolution-2.28.3.1.orig/plugins/bogo-junk-plugin/bf-junk-filter.c evolution-2.28.3.1/plugins/bogo-junk-plugin/bf-junk-filter.c
--- evolution-2.28.3.1.orig/plugins/bogo-junk-plugin/bf-junk-filter.c	2010-04-20 02:30:59.000000000 -0400
+++ evolution-2.28.3.1/plugins/bogo-junk-plugin/bf-junk-filter.c	2010-04-20 02:46:07.000000000 -0400
@@ -53,7 +53,7 @@
 #include <gconf/gconf-client.h>
 
 #ifndef BOGOFILTER_BINARY
-#define BOGOFILTER_BINARY "/usr/bin/bogofilter"
+#define BOGOFILTER_BINARY "bogofilter"
 #endif
 
 #define BOGOFILTER_ERROR 3
diff -Nurd -x'*~' evolution-2.28.3.1.orig/plugins/exchange-operations/Makefile.am evolution-2.28.3.1/plugins/exchange-operations/Makefile.am
--- evolution-2.28.3.1.orig/plugins/exchange-operations/Makefile.am	2010-04-20 02:30:59.000000000 -0400
+++ evolution-2.28.3.1/plugins/exchange-operations/Makefile.am	2010-04-20 02:53:04.000000000 -0400
@@ -52,11 +52,12 @@
 liborg_gnome_exchange_operations_la_LIBADD = 			\
 	$(top_builddir)/e-util/libeutil.la 			\
 	$(top_builddir)/widgets/misc/libemiscwidgets.la		\
-	$(top_builddir)/calendar/gui/libevolution-calendar.la 	\
-	$(top_builddir)/mail/libevolution-mail.la 		\
-	$(top_builddir)/addressbook/gui/component/libevolution-addressbook.la \
 	$(CAMEL_EXCHANGE_LIBS)					\
 	$(EVOLUTION_MAIL_LIBS)
+# removed from liborg_gnome_exchange_operations_la_LIBADD because they are .so:
+#	$(top_builddir)/calendar/gui/libevolution-calendar.la
+#	$(top_builddir)/mail/libevolution-mail.la
+#	$(top_builddir)/addressbook/gui/component/libevolution-addressbook.la
 
 liborg_gnome_exchange_operations_la_LDFLAGS = -module -avoid-version $(NO_UNDEFINED)
 
diff -Nurd -x'*~' evolution-2.28.3.1.orig/plugins/sa-junk-plugin/em-junk-filter.c evolution-2.28.3.1/plugins/sa-junk-plugin/em-junk-filter.c
--- evolution-2.28.3.1.orig/plugins/sa-junk-plugin/em-junk-filter.c	2010-04-20 02:30:59.000000000 -0400
+++ evolution-2.28.3.1/plugins/sa-junk-plugin/em-junk-filter.c	2010-04-20 02:48:44.000000000 -0400
@@ -88,8 +88,8 @@
 static volatile gboolean em_junk_sa_use_daemon;
 static gchar * em_junk_sa_preferred_socket_path;
 
-static const gchar *em_junk_sa_spamc_binaries [4] = {"spamc", "/usr/bin/spamc", "/usr/sbin/spamc", NULL};
-static const gchar *em_junk_sa_spamd_binaries [4] = {"spamd", "/usr/bin/spamd", "/usr/sbin/spamd", NULL};
+static const gchar *em_junk_sa_spamc_binaries [4] = {"spamc", "spamc", "spamc", NULL};
+static const gchar *em_junk_sa_spamd_binaries [4] = {"spamd", "spamd", "spamd", NULL};
 
 #define SPAMD_RESTARTS_SIZE 8
 static time_t em_junk_sa_spamd_restarts [SPAMD_RESTARTS_SIZE] = {0, 0, 0, 0, 0, 0, 0, 0};