diff -Naur ftp-tls-20020906.orig/Makefile.in ftp-tls-20020906/Makefile.in
--- ftp-tls-20020906.orig/Makefile.in	2002-02-04 15:29:51.000000000 -0500
+++ ftp-tls-20020906/Makefile.in	2011-04-30 12:05:27.000000000 -0400
@@ -100,26 +100,26 @@
 install:
 	mkdir -p ${DESTDIR}${bindir}
 	mkdir -p ${DESTDIR}${man1dir}
-	${INSTALL} -o ${BINOWN} -g ${BINGRP} \
+	${INSTALL} \
 	    -m ${BINMODE} ${PROG} ${DESTDIR}${bindir}
-	${INSTALL} -o ${BINOWN} -g ${BINGRP} \
+	${INSTALL} \
 	    -m ${NONBINMODE} ${MANSRC} ${DESTDIR}${man1dir}/${MAN}
 	if [ -n "${MANEDITRC}" ]; then \
 	    mkdir -p ${DESTDIR}${man5dir} ; \
-	    ${INSTALL} -o ${BINOWN} -g ${BINGRP} \
+	    ${INSTALL} \
 		-m ${NONBINMODE} libedit/${MANEDITRC} ${DESTDIR}${man5dir} ; \
 	fi
 
 install-stip:
 	mkdir -p ${DESTDIR}${bindir}
 	mkdir -p ${DESTDIR}${man1dir}
-	${INSTALL} ${INSTALL_STRIP} -o ${BINOWN} -g ${BINGRP} \
+	${INSTALL} ${INSTALL_STRIP} \
 	    -m ${BINMODE} ${PROG} ${DESTDIR}${bindir}
-	${INSTALL} -o ${BINOWN} -g ${BINGRP} \
+	${INSTALL} \
 	    -m ${NONBINMODE} ${MANSRC} ${DESTDIR}${man1dir}/${MAN}
 	if [ -n "${MANEDITRC}" ]; then \
 	    mkdir -p ${DESTDIR}${man5dir} ; \
-	    ${INSTALL} -o ${BINOWN} -g ${BINGRP} \
+	    ${INSTALL} \
 		-m ${NONBINMODE} libedit/${MANEDITRC} ${DESTDIR}${man5dir} ; \
 	fi
 
diff -Naur ftp-tls-20020906/complete.c ftp-tls-mac/complete.c
--- ftp-tls-20020906/complete.c	Wed Jan 30 18:29:09 2002
+++ ftp-tls-mac/complete.c	Sat Oct  5 15:18:55 2002
@@ -39,7 +39,7 @@
 #ifdef HAVE_CONFIG_H
 #include <config.h>
 #endif
-
+#include <sys/types.h>
 #ifndef SMALL
 #ifndef lint
 static char rcsid[] = "$OpenBSD: complete.c,v 1.12 2001/08/03 22:43:16 millert Exp $";
diff -Naur ftp-tls-20020906/configure ftp-tls-mac/configure
--- ftp-tls-20020906/configure	Fri Sep  6 11:44:48 2002
+++ ftp-tls-mac/configure	Sat Oct  5 15:15:22 2002
@@ -5762,9 +5762,8 @@
 _ACEOF
 
 else
-    LIBS="-ledit -L./libedit $LIBS"
-    CPPFLAGS="$CPPFLAGS -I./libedit"
-    LIBEDITTARGET=libedit-all
+    LIBS="-ledit $LIBS"
+    CPPFLAGS="$CPPFLAGS"
     MANEDITRC=editrc.5
 fi
 
diff -Naur ftp-tls-20020906/main.c ftp-tls-mac/main.c
--- ftp-tls-20020906/main.c	Thu Jul 25 16:49:16 2002
+++ ftp-tls-mac/main.c	Sat Oct  5 15:17:59 2002
@@ -519,7 +519,7 @@
 		} else {
 			const char *buf;
 			cursor_pos = NULL;
-
+			HistEvent hev;
 			if ((buf = el_gets(el, &num)) == NULL || num == 0)
 				quit(0, 0);
 			if (buf[--num] == '\n') {
@@ -532,7 +532,7 @@
 			}
 			memcpy(line, buf, (size_t)num);
 			line[num] = '\0';
-			history(hist, H_ENTER, buf);
+			history(hist, &hev, H_ENTER, buf);
 		}
 #endif /* !SMALL */
 
diff -Naur ftp-tls-20020906/util.c ftp-tls-mac/util.c
--- ftp-tls-20020906/util.c	Thu Jul 25 16:49:16 2002
+++ ftp-tls-mac/util.c	Sat Oct  5 15:17:59 2002
@@ -94,7 +94,6 @@
 
 #include "ftp_var.h"
 #include "pathnames.h"
-
 #ifdef TLS
 # ifdef __STDC__
 #  include <stdarg.h>
@@ -1013,9 +1012,10 @@
 controlediting()
 {
 	if (editing && el == NULL && hist == NULL) {
-		el = el_init(progname, stdin, ttyout); /* init editline */
+		HistEvent hev;
+		el = el_init(progname, stdin, ttyout, stderr); /* init editline */
 		hist = history_init();		/* init the builtin history */
-		history(hist, H_EVENT, 100);	/* remember 100 events */
+		history(hist, &hev, H_SETSIZE, 100);	/* remember 100 events */
 		el_set(el, EL_HIST, history, hist);	/* use history */
 
 		el_set(el, EL_EDITOR, "emacs");	/* default editor is emacs */
diff -ur ftp-tls-20020906.old/extern.h ftp-tls-20020906/extern.h
--- ftp-tls-20020906.old/extern.h	2002-05-21 23:43:08.000000000 -0700
+++ ftp-tls-20020906/extern.h	2005-06-13 11:27:04.000000000 -0700
@@ -65,7 +65,11 @@
  *	@(#)extern.h	8.3 (Berkeley) 10/9/94
  */
 
+#ifndef __EXTERN_H
+#define __EXTERN_H
+
 #include <sys/types.h>
+#include "ftp_var.h"
 
 void    abort_remote __P((FILE *));
 void    abortpt __P((int));
@@ -219,3 +223,5 @@
 extern char	reply_string[];
 extern off_t	restart_point;
 extern int	NCMDS;
+
+#endif
diff -ur ftp-tls-20020906.old/ftp_var.h ftp-tls-20020906/ftp_var.h
--- ftp-tls-20020906.old/ftp_var.h	2002-07-25 09:49:16.000000000 -0700
+++ ftp-tls-20020906/ftp_var.h	2005-06-13 11:29:21.000000000 -0700
@@ -65,6 +65,9 @@
  *	@(#)ftp_var.h	8.4 (Berkeley) 10/9/94
  */
 
+#ifndef __FTP_VAR_H
+#define __FTP_VAR_H
+
 /*
  * FTP global variables.
  */
@@ -86,6 +89,22 @@
 #endif
 
 #include "stringlist.h"
+
+/*
+ * Format of command table.
+ */
+struct cmd {
+	char	*c_name;	/* name of command */
+	char	*c_help;	/* help string */
+	char	 c_bell;	/* give bell when command completes */
+	char	 c_conn;	/* must be connected to use command */
+	char	 c_proxy;	/* proxy server may execute */
+#ifndef SMALL
+	char	*c_complete;	/* context sensitive completion list */
+#endif /* !SMALL */
+	void	(*c_handler) __P((int, char **)); /* function to call */
+};
+
 #include "extern.h"
 
 #define HASHBYTES	1024
@@ -195,21 +214,6 @@
 
 int	options;		/* used during socket creation */
 
-/*
- * Format of command table.
- */
-struct cmd {
-	char	*c_name;	/* name of command */
-	char	*c_help;	/* help string */
-	char	 c_bell;	/* give bell when command completes */
-	char	 c_conn;	/* must be connected to use command */
-	char	 c_proxy;	/* proxy server may execute */
-#ifndef SMALL
-	char	*c_complete;	/* context sensitive completion list */
-#endif /* !SMALL */
-	void	(*c_handler) __P((int, char **)); /* function to call */
-};
-
 struct macel {
 	char mac_name[9];	/* macro name */
 	char *mac_start;	/* start of macro in macbuf */
@@ -224,3 +228,5 @@
 
 /* sig_t isn't what we expect on all platforms so we use a custom one */
 typedef void (*my_sig_t)__P((int));
+
+#endif