diff -Nurd -x'*~' comm-1.9.1.orig/fink/applications/Seamonkey-address.desktop comm-1.9.1/fink/applications/Seamonkey-address.desktop
--- comm-1.9.1.orig/fink/applications/Seamonkey-address.desktop	1969-12-31 19:00:00.000000000 -0500
+++ comm-1.9.1/fink/applications/Seamonkey-address.desktop	2010-04-15 12:41:34.000000000 -0400
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=Seamonkey Addressbook
+Comment=Addressbook from Seamonkey Mailnews
+Exec=seamonkey -addressbook
+Icon=seamonkey_addressbookWindow.png
+Terminal=false
+MultipleArgs=false
+Type=Application
+Categories=Application;Network;
+StartupNotify=true
diff -Nurd -x'*~' comm-1.9.1.orig/fink/applications/Seamonkey-calendar.desktop comm-1.9.1/fink/applications/Seamonkey-calendar.desktop
--- comm-1.9.1.orig/fink/applications/Seamonkey-calendar.desktop	1969-12-31 19:00:00.000000000 -0500
+++ comm-1.9.1/fink/applications/Seamonkey-calendar.desktop	2010-04-15 12:41:34.000000000 -0400
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=Seamonkey Calendar
+Comment=Seamonkey Calendar
+Exec=seamonkey -mail
+Icon=seamonkey_calendar.png
+Terminal=false
+MultipleArgs=false
+Type=Application
+Categories=Application;Network;
+StartupNotify=true
diff -Nurd -x'*~' comm-1.9.1.orig/fink/applications/Seamonkey-chatzilla.desktop comm-1.9.1/fink/applications/Seamonkey-chatzilla.desktop
--- comm-1.9.1.orig/fink/applications/Seamonkey-chatzilla.desktop	1969-12-31 19:00:00.000000000 -0500
+++ comm-1.9.1/fink/applications/Seamonkey-chatzilla.desktop	2010-04-15 12:41:34.000000000 -0400
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=Chatzilla
+Comment=Seamonkey Chatzilla IRC client
+Exec=seamonkey -chat
+Icon=seamonkey_chatzilla.xpm
+Terminal=false
+MultipleArgs=false
+Type=Application
+Categories=Application;Network;
+StartupNotify=true
diff -Nurd -x'*~' comm-1.9.1.orig/fink/applications/Seamonkey-editor.desktop comm-1.9.1/fink/applications/Seamonkey-editor.desktop
--- comm-1.9.1.orig/fink/applications/Seamonkey-editor.desktop	1969-12-31 19:00:00.000000000 -0500
+++ comm-1.9.1/fink/applications/Seamonkey-editor.desktop	2010-04-15 12:41:34.000000000 -0400
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=Seamonkey Composer
+Comment=HTML editor from Seamonkey project
+Exec=seamonkey -edit
+Icon=seamonkey_editorWindow.png
+Terminal=false
+Type=Application
+Categories=Application;Network;
+StartupNotify=true
diff -Nurd -x'*~' comm-1.9.1.orig/fink/applications/Seamonkey-mail-composer.desktop comm-1.9.1/fink/applications/Seamonkey-mail-composer.desktop
--- comm-1.9.1.orig/fink/applications/Seamonkey-mail-composer.desktop	1969-12-31 19:00:00.000000000 -0500
+++ comm-1.9.1/fink/applications/Seamonkey-mail-composer.desktop	2010-04-15 12:41:34.000000000 -0400
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=Seamonkey Mail Composer
+Comment=Seamonkey Mail Composer
+Exec=seamonkey -compose
+Icon=seamonkey_msgcomposeWindow.png
+Terminal=false
+MultipleArgs=false
+Type=Application
+Categories=Application;Network;
+StartupNotify=true
diff -Nurd -x'*~' comm-1.9.1.orig/fink/applications/Seamonkey-mail.desktop comm-1.9.1/fink/applications/Seamonkey-mail.desktop
--- comm-1.9.1.orig/fink/applications/Seamonkey-mail.desktop	1969-12-31 19:00:00.000000000 -0500
+++ comm-1.9.1/fink/applications/Seamonkey-mail.desktop	2010-04-15 12:41:34.000000000 -0400
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=Seamonkey Mail
+Comment=Seamonkey Mail
+Exec=seamonkey -mail
+Icon=seamonkey_mailnews.png
+Terminal=false
+MultipleArgs=false
+Type=Application
+Categories=Application;Network;
+StartupNotify=true
diff -Nurd -x'*~' comm-1.9.1.orig/fink/applications/Seamonkey-news.desktop comm-1.9.1/fink/applications/Seamonkey-news.desktop
--- comm-1.9.1.orig/fink/applications/Seamonkey-news.desktop	1969-12-31 19:00:00.000000000 -0500
+++ comm-1.9.1/fink/applications/Seamonkey-news.desktop	2010-04-15 12:41:34.000000000 -0400
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=Seamonkey News
+Comment=Seamonkey News
+Exec=seamonkey -news
+Icon=seamonkey_news.png
+Terminal=false
+MultipleArgs=false
+Type=Application
+Categories=Application;Network;
+StartupNotify=true
diff -Nurd -x'*~' comm-1.9.1.orig/fink/applications/Seamonkey.desktop comm-1.9.1/fink/applications/Seamonkey.desktop
--- comm-1.9.1.orig/fink/applications/Seamonkey.desktop	1969-12-31 19:00:00.000000000 -0500
+++ comm-1.9.1/fink/applications/Seamonkey.desktop	2010-04-15 12:41:34.000000000 -0400
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=Seamonkey Web Browser
+Comment=Browse the World Wide Web
+Exec=seamonkey
+Icon=seamonkey.png
+Terminal=false
+Type=Application
+Categories=Application;Network;
+StartupNotify=true
diff -Nurd -x'*~' comm-1.9.1.orig/fink/mozilla comm-1.9.1/fink/mozilla
--- comm-1.9.1.orig/fink/mozilla	1969-12-31 19:00:00.000000000 -0500
+++ comm-1.9.1/fink/mozilla	2010-04-15 12:41:34.000000000 -0400
@@ -0,0 +1,98 @@
+#!/bin/sh
+#
+# The contents of this file are subject to the Netscape Public
+# License Version 1.1 (the "License"); you may not use this file
+# except in compliance with the License. You may obtain a copy of
+# the License at http://www.mozilla.org/NPL/
+#
+# Software distributed under the License is distributed on an "AS
+# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
+# implied. See the License for the specific language governing
+# rights and limitations under the License.
+#
+# The Original Code is mozilla.org code.
+#
+# The Initial Developer of the Original Code is Netscape
+# Communications Corporation.  Portions created by Netscape are
+# Copyright (C) 1998 Netscape Communications Corporation. All
+# Rights Reserved.
+#
+# Contributor(s):
+#
+
+##
+## Usage:
+##
+## $ mozilla
+##
+## This script is meant to run a mozilla program from the mozilla
+## rpm installation.
+##
+## The script will setup all the environment voodoo needed to make
+## mozilla work.
+
+##
+## Variables
+##
+## Set MOZILLA_FIVE_HOME
+##
+MOZILLA_FIVE_HOME="Pr/lib/seamonkey-2"
+export MOZILLA_FIVE_HOME
+
+MOZ_PROGRAM="${MOZILLA_FIVE_HOME}/seamonkey-bin"
+
+##
+## Set DYLD_LIBRARY_PATH
+##
+DYLD_LIBRARY_PATH=${MOZILLA_FIVE_HOME}:${MOZILLA_FIVE_HOME}/components:${MOZILLA_FIVE_HOME}/plugins:${MOZILLA_FIVE_HOME}/ipc/modules:$DYLD_LIBRARY_PATH
+export DYLD_LIBRARY_PATH
+
+# If there is no command line argument at all then try to open a new
+# window in an already running instance.
+
+if [ -z "$1" ]; then
+  $MOZ_PROGRAM -remote "openurl(about:blank,new-window)" >/dev/null
+  RETURN_VAL=$?
+  if [ "$RETURN_VAL" -eq "2" ]; then
+    $MOZ_PROGRAM ${1+"$@"}
+    RETURN_VAL=$?
+  fi
+  exit $RETURN_VAL
+fi
+
+# If there's a command line argument but it doesn't begin with a -
+# it's probably a url.  Try to send it to a running instance.
+
+USE_EXIST=0
+opt="$1"
+case "$opt" in
+  -*) ;;
+  *) USE_EXIST=1 ;;
+esac
+
+if [ "${USE_EXIST}" -eq "1" ]; then
+  # check to make sure that the command contains at least a :/ in it.
+  echo $opt | grep -e ':/' 2>/dev/null >/dev/null
+  RETURN_VAL=$?
+  if [ "$RETURN_VAL" -eq "1" ]; then
+    # does it begin with a / ?
+    echo $opt | grep -e '^/' >/dev/null
+    RETURN_VAL=$?
+    if [ "$RETURN_VAL" -eq "0" ]; then
+      opt="file:$opt"
+    elif [ -e `pwd`/$opt ]; then
+      opt="`pwd`/$opt"
+    else
+      opt="http://$opt"
+    fi
+  fi
+  $MOZ_PROGRAM -remote "openurl($opt,new-window)" >/dev/null
+  RETURN_VAL=$?
+  if [ "$RETURN_VAL" -eq "2" ]; then
+    $MOZ_PROGRAM ${1+"$@"}
+    RETURN_VAL=$?
+  fi
+  exit $RETURN_VAL
+fi
+
+$MOZ_PROGRAM ${1+"$@"}
diff -Nurd -x'*~' comm-1.9.1.orig/fink/prefs.js comm-1.9.1/fink/prefs.js
--- comm-1.9.1.orig/fink/prefs.js	1969-12-31 19:00:00.000000000 -0500
+++ comm-1.9.1/fink/prefs.js	2010-04-15 12:41:34.000000000 -0400
@@ -0,0 +1,32 @@
+// XIM style
+pref("xim.input_style", "over-the-spot");
+
+// TrueType
+pref("font.FreeType2.enable", true);
+pref("font.freetype2.shared-library", "Xd/lib/libfreetype.6.dylib");
+pref("font.FreeType2.autohinted", true);
+pref("font.FreeType2.unhinted", true);
+pref("font.antialias.min",        10);
+pref("font.embedded_bitmaps.max", 1000000);
+pref("font.scale.tt_bitmap.dark_text.min", 64);
+pref("font.scale.tt_bitmap.dark_text.gain", "0.0");
+pref("font.directory.truetype.1", "/Library/Fonts");
+pref("font.directory.truetype.2", "/Network/Library/Fonts");
+pref("font.directory.truetype.3", "/System/Library/Fonts");
+pref("font.directory.truetype.4", "Xd/lib/X11/fonts/TTF");
+// Doesn't even seem to exist anymore ..
+pref("font.directory.truetype.5", "Pr/share/fonts/truetype");
+// Instead, all the following _ no way to have just 1 "Pr/lib/X11/fonts/*" ?
+pref("font.directory.truetype.6", "Pr/lib/X11/fonts/applettf");
+pref("font.directory.truetype.7", "Pr/lib/X11/fonts/intl");
+pref("font.directory.truetype.8", "Pr/lib/X11/fonts/kochi-subst");
+pref("font.directory.truetype.9", "Pr/lib/X11/fonts/latex-xft-fonts");
+pref("font.directory.truetype.10", "Pr/lib/X11/fonts/mona");
+pref("font.directory.truetype.11", "Pr/lib/X11/fonts/msttf");
+
+
+// AA with Bitmap scaling.
+pref("font.scale.aa_bitmap.enable", true);
+pref("font.scale.aa_bitmap.always", false);
+pref("font.scale.aa_bitmap.min", 6);
+