diff -Nurd -x'*~' silc-toolkit-1.1.10.orig/configure.ac silc-toolkit-1.1.10/configure.ac
--- silc-toolkit-1.1.10.orig/configure.ac	2009-08-07 07:51:30.000000000 -0400
+++ silc-toolkit-1.1.10/configure.ac	2011-08-23 02:54:37.000000000 -0400
@@ -598,7 +598,6 @@
 compile_libs=true
 LIBSUBDIR=lib
 
-LDFLAGS="-L\$(silc_top_srcdir)/lib $LDFLAGS"
 
 # SIM support checking
 # XXX These needs to be changed as more supported platforms appear.
diff -Nurd -x'*~' silc-toolkit-1.1.10.orig/lib/Makefile.am silc-toolkit-1.1.10/lib/Makefile.am
--- silc-toolkit-1.1.10.orig/lib/Makefile.am	2011-08-23 02:33:27.000000000 -0400
+++ silc-toolkit-1.1.10/lib/Makefile.am	2011-08-23 03:37:07.000000000 -0400
@@ -29,9 +29,9 @@
 SILCLIB_DIRS =	contrib	silccore	silcutil	silcapputil	silccrypt	silcskr	silcmath	silcsim	silcasn1	silcske	silchttp	silcsftp	silcvcard
 if SILC_ENABLE_SHARED
 if SILC_WIN32
-LIBTOOL_OPTS= -release $(LIB_BASE_VERSION) -rpath $(DESTDIR)$(libdir) -export-dynamic -no-undefined
+LIBTOOL_OPTS= -release $(LIB_BASE_VERSION) -export-dynamic -no-undefined
 else
-LIBTOOL_OPTS= -release $(LIB_BASE_VERSION) -rpath $(DESTDIR)$(libdir)
+LIBTOOL_OPTS= -release $(LIB_BASE_VERSION) -no-undefined
 endif
 LIBTOOL_SILC_VERSION = -version-info $(LIBSILC_CURRENT):$(LIBSILC_REVISION):$(LIBSILC_AGE)
 LIBTOOL_SILCCLIENT_VERSION = -version-info $(LIBSILCCLIENT_CURRENT):$(LIBSILCCLIENT_REVISION):$(LIBSILCCLIENT_AGE)
@@ -43,53 +43,45 @@
 LIBTOOL_SILCSERVER_VERSION =
 endif
 
-if SILC_WIN32
 SILC_LINK_LIBS=$(LIBS)
-SILCCLIENT_LINK_LIBS=$(LIBS) -lsilc
-SILCSERVER_LIBS=$(LIBS) -lsilc
-else
-SILC_LINK_LIBS=
-SILCCLIENT_LINK_LIBS=
-SILCSERVER_LIBS=
-endif
+SILCCLIENT_LINK_LIBS=$(LIBS) libsilc.la
+SILCSERVER_LIBS=$(LIBS) libsilc.la
 
-SILCLIB = libsilc.a
 
 # SILC Client Library dirs
 SILCCLIENTLIB_DIRS = silcclient
-SILCCLIENTLIB = libsilcclient.a
 
 
 SUBDIRS = $(SILCLIB_DIRS) $(SILCSERVERLIB_DIRS) $(SILCCLIENTLIB_DIRS)
 
-CLEANFILES = libsilc.a $(SILCCLIENTLIB) $(SILCSERVERLIB)
-DISTCLEANFILES = libsilc.a $(SILCCLIENTLIB) $(SILCSERVERLIB)
 
 remove:
 	-rm -f $(CLEANFILES)
 
-all:
-	$(MAKE) remove $(SILCLIB) $(SILCSERVERLIB) $(SILCCLIENTLIB)
-
-install-exec-hook:
-	-mkdir -p $(DESTDIR)$(libdir)
-	-$(LIBTOOL) --mode=install $(INSTALL) libsilc.la $(DESTDIR)$(libdir)/
-	-$(LIBTOOL) --mode=install $(INSTALL) libsilcclient.la $(DESTDIR)$(libdir)/
 
 LIB_BASE_VERSION=@LIB_BASE_VERSION@
 LIBSILC_CURRENT=@LIBSILC_CURRENT@
 LIBSILC_REVISION=@LIBSILC_REVISION@
 LIBSILC_AGE=@LIBSILC_AGE@
 
-libsilc.a:
-	find $(SILCLIB_DIRS) -type f -name *.lo | xargs	$(LIBTOOL) --mode=link $(CC) $(CFLAGS) $(LDFLAGS) $(SILC_LINK_LIBS)	$(LIBTOOL_SILC_VERSION)	$(LIBTOOL_OPTS) -o libsilc.la
+if SILC_SIM
+silcsimlibs = silcsim/libsilcsim.la
+else
+silcsimlibs =
+endif
+lib_LTLIBRARIES = libsilc.la
+libsilc_la_LDFLAGS = $(LIBTOOL_SILC_VERSION) $(LIBTOOL_OPTS)
+libsilc_la_SOURCES =
+libsilc_la_LIBADD = contrib/libcontrib.la silccore/libsilccore.la silcutil/libsilcutil.la silcapputil/libsilcapputil.la silccrypt/libsilccrypt.la silcskr/libsilcskr.la silcmath/libsilcmath.la $(silcsimlibs) silcasn1/libsilcasn1.la silcske/libsilcske.la silchttp/libsilchttp.la silcsftp/libsilcsftp.la silcvcard/libsilcvcard.la $(SILC_LINK_LIBS)
 
 LIBSILCCLIENT_CURRENT=@LIBSILCCLIENT_CURRENT@
 LIBSILCCLIENT_REVISION=@LIBSILCCLIENT_REVISION@
 LIBSILCCLIENT_AGE=@LIBSILCCLIENT_AGE@
 
-libsilcclient.a:
-	find $(SILCCLIENTLIB_DIRS) -type f -name *.lo | xargs	$(LIBTOOL) --mode=link $(CC) $(CFLAGS) $(LDFLAGS)	$(SILCCLIENT_LINK_LIBS) $(LIBTOOL_SILCCLIENT_VERSION)	$(LIBTOOL_OPTS) -o libsilcclient.la
+lib_LTLIBRARIES += libsilcclient.la
+libsilcclient_la_LDFLAGS = $(LIBTOOL_SILCCLIENT_VERSION) $(LIBTOOL_OPTS)
+libsilcclient_la_SOURCES =
+libsilcclient_la_LIBADD = silcclient/libsilcclient.la $(SILCCLIENT_LINK_LIBS)
 
 
 pkgconfigdir = $(libdir)/pkgconfig
diff -Nurd -x'*~' silc-toolkit-1.1.10.orig/lib/silc.pc.in silc-toolkit-1.1.10/lib/silc.pc.in
--- silc-toolkit-1.1.10.orig/lib/silc.pc.in	2009-08-07 07:51:24.000000000 -0400
+++ silc-toolkit-1.1.10/lib/silc.pc.in	2011-08-23 03:18:16.000000000 -0400
@@ -6,6 +6,6 @@
 Name: @PACKAGE@
 Description: SILC Library
 Version: @VERSION@
-Libs: -L${libdir} -lsilc @LIBS@
+Libs: -L${libdir} -lsilc
 Cflags: -I${includedir}
 
diff -Nurd -x'*~' silc-toolkit-1.1.10.orig/lib/silcclient.pc.in silc-toolkit-1.1.10/lib/silcclient.pc.in
--- silc-toolkit-1.1.10.orig/lib/silcclient.pc.in	2009-08-07 07:51:26.000000000 -0400
+++ silc-toolkit-1.1.10/lib/silcclient.pc.in	2011-08-23 03:18:13.000000000 -0400
@@ -7,6 +7,6 @@
 Description: SILC Client Library
 Version: @VERSION@
 Requires: silc = @VERSION@
-Libs: -L${libdir} -lsilcclient @LIBS@
+Libs: -L${libdir} -lsilcclient
 Cflags: -I${includedir}
 
diff -Nurd -x'*~' silc-toolkit-1.1.10.orig/lib/silcserver.pc.in silc-toolkit-1.1.10/lib/silcserver.pc.in
--- silc-toolkit-1.1.10.orig/lib/silcserver.pc.in	2009-08-07 07:51:26.000000000 -0400
+++ silc-toolkit-1.1.10/lib/silcserver.pc.in	2011-08-23 03:18:09.000000000 -0400
@@ -8,6 +8,6 @@
 Version: @VERSION@
 Conflicts: libsilc <= 1.1
 Requires: silc = @VERSION@
-Libs: -L${libdir} -lsilcserver @LIBS@
+Libs: -L${libdir} -lsilcserver
 Cflags: -I${includedir}
 
diff -Nurd -x'*~' silc-toolkit-1.1.10.orig/lib/silcsim/Makefile.am silc-toolkit-1.1.10/lib/silcsim/Makefile.am
--- silc-toolkit-1.1.10.orig/lib/silcsim/Makefile.am	2009-08-07 07:51:24.000000000 -0400
+++ silc-toolkit-1.1.10/lib/silcsim/Makefile.am	2011-08-23 05:00:13.000000000 -0400
@@ -36,24 +36,29 @@
 #
 # SILC Ciphers to be compiled as modules
 #
-SIM_CIPHER_OBJS =        none.o        blowfish.o        aes.o        rsa.o        twofish.o
+SIM_CIPHER_MODS = none.sim.la blowfish.sim.la aes.sim.la rsa.sim.la twofish.sim.la
 
 #
 # SILC Hash Functions to be compiled as modules
 #
-SIM_HASH_OBJS =	md5.o	sha1.o	sha256.o
+SIM_HASH_MODS = md5.sim.la sha1.sim.la sha256.sim.la
 
 if SILC_SIM
-all: $(SIM_CIPHER_OBJS) $(SIM_HASH_OBJS)
+pkglib_LTLIBRARIES = $(SIM_CIPHER_MODS) $(SIM_HASH_MODS)
+pkglibdir = $(MODULESDIR)
 endif
+AM_LDFLAGS = -module -avoid-version
 
-$(SIM_CIPHER_OBJS):
-	@if test '!' -f lib$*.la ; then	  $(LIBTOOL) --mode=link $(CCLD) -rpath $(silc_modulesdir)		../silccrypt/$*.lo -o lib$*.la $(LTFLAGS);	  cd $(srcdir) && $(LN_S) -f $(srcdir)/.libs/lib$*.so		$(srcdir)/$*.sim.so;	fi
+none_sim_la_SOURCES     = ../silccrypt/none.c
+blowfish_sim_la_SOURCES = ../silccrypt/blowfish.c
+aes_sim_la_SOURCES      = ../silccrypt/aes.c
+rsa_sim_la_SOURCES      = ../silccrypt/rsa.c
+twofish_sim_la_SOURCES  = ../silccrypt/twofish.c
 
-$(SIM_HASH_OBJS):
-	@if test '!' -f lib$*.la ; then	  $(LIBTOOL) --mode=link $(CCLD) -rpath $(silc_modulesdir)		../silccrypt/$*.lo -o lib$*.la $(LTFLAGS);	  cd $(srcdir) && $(LN_S) -f $(srcdir)/.libs/lib$*.so		$(srcdir)/$*.sim.so;	fi
+md5_sim_la_SOURCES      = ../silccrypt/md5.c
+sha1_sim_la_SOURCES     = ../silccrypt/sha1.c
+sha256_sim_la_SOURCES   = ../silccrypt/sha256.c
 
-CLEANFILES = *.sim.so *.la
 
 include_HEADERS = silcsim.h silcsimutil.h
 
@@ -62,9 +67,11 @@
 #
 # Installation
 #
-install-data-hook:
-	-mkdir -p $(modulesdir)
-	-$(INSTALL_DATA) $(top_srcdir)/lib/silcsim/*.so $(modulesdir)/
+install-exec-hook:
+if SILC_SIM
+	find $(DESTDIR)$(pkglibdir) -name \*.la -delete
+	(cd $(DESTDIR)$(pkglibdir); for f in *.so; do ln -s $$f `echo $$f | sed 's/\.so$$/.dylib/'`; done)
+endif
 
 include $(top_srcdir)/Makefile.defines.in
 
diff -Nurd -x'*~' silc-toolkit-1.1.10.orig/lib/silcutil/Makefile.am silc-toolkit-1.1.10/lib/silcutil/Makefile.am
--- silc-toolkit-1.1.10.orig/lib/silcutil/Makefile.am	2009-08-07 07:51:28.000000000 -0400
+++ silc-toolkit-1.1.10/lib/silcutil/Makefile.am	2011-08-23 03:10:36.000000000 -0400
@@ -27,11 +27,13 @@
 
 if SILC_WIN32
 SUBDIRS=win32
+libsilcutil_la_LIBADD = win32/libsilcwin32util.la
 else
 if SILC_SYMBIAN
 SUBDIRS=symbian
 else
 SUBDIRS=unix
+libsilcutil_la_LIBADD = unix/libsilcunixutil.la
 endif
 endif
 
diff -Nurd -x'*~' silc-toolkit-1.1.10.orig/tutorial/Makefile.defines.in silc-toolkit-1.1.10/tutorial/Makefile.defines.in
--- silc-toolkit-1.1.10.orig/tutorial/Makefile.defines.in	2009-08-07 07:51:23.000000000 -0400
+++ silc-toolkit-1.1.10/tutorial/Makefile.defines.in	2011-08-23 03:16:53.000000000 -0400
@@ -18,4 +18,4 @@
 include ../Makefile.defines_int
 
 INCLUDES = $(ADD_INCLUDES) $(SILC_CFLAGS) \
-	-I./ -I/usr/local/silc/include -I$(silc_install_prefix)/include
+	-I./ -I$(silc_install_prefix)/include
diff -Nurd -x'*~' silc-toolkit-1.1.10.orig/tutorial/Makefile.defines_int.in silc-toolkit-1.1.10/tutorial/Makefile.defines_int.in
--- silc-toolkit-1.1.10.orig/tutorial/Makefile.defines_int.in	2009-08-07 07:51:23.000000000 -0400
+++ silc-toolkit-1.1.10/tutorial/Makefile.defines_int.in	2011-08-23 03:16:34.000000000 -0400
@@ -17,7 +17,7 @@
 
 silc_install_prefix=@prefix@
 SILC_COMMON_LIBS= @LIBS@ -L$(silc_install_prefix)/lib \
-	-L/usr/local/silc/lib -lsilc -lsilcclient -lsilc
+	-lsilc -lsilcclient -lsilc
 SILC_CFLAGS=@CFLAGS@
 CC=@CC@
 LIBTOOL = @LIBTOOL@